# Exception: Mocha::ExpectationError

Inherits:
  Exception
  - Object
  - Exception
  - Mocha::ExpectationError
  show all

Defined in:
  lib/mocha/expectation_error.rb

## Overview

Default exception class raised when an unexpected invocation or an unsatisfied expectation occurs.

Authors of test libraries may use `Mocha::ExpectationErrorFactory` to have Mocha raise a different exception.

rubocop:disable Lint/InheritException

See Also:

- ExpectationErrorFactory